<template>
	<main class="mt-36">
		<h2 class="contents-title">Slick Single Item</h2>
		<VueSlickCarousel :dots="true" :arrows="true">
			<div v-for="(data, index) in dataSingleItem" :key="index">
				<h2>
					{{ data.title }}
				</h2>
				<p class="mb-0">{{ data.content }}</p>
			</div>
		</VueSlickCarousel>

		<div class="mt-32">
			<div class="tab">
				<button
					v-for="(tab, index) in tabs"
					:key="index"
					@click="activeTab2 = index"
					:class="{ active: activeTab2 === index }"
				>
					{{ tab.title }}
				</button>
			</div>
			<div class="tab-content">
				<div
					v-for="(tab, index) in tabs"
					:key="index"
					v-show="activeTab2 === index"
				>
					<Code :codeText="tab.content" />
				</div>
			</div>
		</div>

		<hr />

		<h2 class="contents-title">Slick Multiple Items</h2>
		<VueSlickCarousel
			:dots="true"
			:arrows="true"
			:slidesToShow="3"
			:slidesToScroll="3"
		>
			<div v-for="(data, index) in dataMultipleItem" :key="index">
				<h2>
					{{ data.title }}
				</h2>
				<p class="mb-0">{{ data.content }}</p>
			</div>
		</VueSlickCarousel>
		<div class="mt-32">
			<div class="tab">
				<button
					v-for="(tab, index) in tabs2"
					:key="index"
					@click="activeTab3 = index"
					:class="{ active: activeTab3 === index }"
				>
					{{ tab.title }}
				</button>
			</div>
			<div class="tab-content">
				<div
					v-for="(tab, index) in tabs2"
					:key="index"
					v-show="activeTab3 === index"
				>
					<Code :codeText="tab.content" />
				</div>
			</div>
		</div>

		<h2 class="contents-title">Slick Data Attribute</h2>
		<VueSlickCarousel
			:dots="false"
			:slidesToShow="2"
			:slidesToScroll="1"
			:arrows="true"
		>
			<div v-for="(data, index) in dataDataAttribute" :key="index">
				<h2>
					{{ data.title }}
				</h2>
				<p class="mb-0">{{ data.content }}</p>
			</div>
		</VueSlickCarousel>
		<div class="mt-32">
			<div class="tab">
				<button
					v-for="(tab, index) in tabs3"
					:key="index"
					@click="activeTab3 = index"
					:class="{ active: activeTab3 === index }"
				>
					{{ tab.title }}
				</button>
			</div>
			<div class="tab-content">
				<div
					v-for="(tab, index) in tabs3"
					:key="index"
					v-show="activeTab3 === index"
				>
					<Code :codeText="tab.content" />
				</div>
			</div>
		</div>
		<hr />
		<h2 class="contents-title">Slick Responsive Display</h2>
		<VueSlickCarousel v-bind="settingsResponsive">
			<div v-for="(data, index) in dataResponsiveDisplay" :key="index">
				<h2>
					{{ data.title }}
				</h2>
				<p class="mb-0">{{ data.content }}</p>
			</div>
		</VueSlickCarousel>
		<div class="mt-32">
			<div class="tab">
				<button
					v-for="(tab, index) in tabs4"
					:key="index"
					@click="activeTab5 = index"
					:class="{ active: activeTab5 === index }"
				>
					{{ tab.title }}
				</button>
			</div>
			<div class="tab-content">
				<div
					v-for="(tab, index) in tabs4"
					:key="index"
					v-show="activeTab5 === index"
				>
					<Code :codeText="tab.content" />
				</div>
			</div>
		</div>
		<hr />
		<h2 class="contents-title">Slick Variable Width</h2>
		<VueSlickCarousel v-bind="settingsVariableWidth" centerPadding="20px">
			<div><img src="//via.placeholder.com/100x150?text=100px" alt="" /></div>
			<div><img src="//via.placeholder.com/150x150?text=150px" alt="" /></div>
			<div><img src="//via.placeholder.com/500x150?text=500px" alt="" /></div>
			<div><img src="//via.placeholder.com/200x150?text=200px" alt="" /></div>
			<div><img src="//via.placeholder.com/300x150?text=300px" alt="" /></div>
			<div><img src="//via.placeholder.com/600x150?text=600px" alt="" /></div>
		</VueSlickCarousel>
		<div class="mt-32">
			<div class="tab">
				<button
					v-for="(tab, index) in tabs5"
					:key="index"
					@click="activeTab6 = index"
					:class="{ active: activeTab6 === index }"
				>
					{{ tab.title }}
				</button>
			</div>
			<div class="tab-content">
				<div
					v-for="(tab, index) in tabs5"
					:key="index"
					v-show="activeTab6 === index"
				>
					<Code :codeText="tab.content" />
				</div>
			</div>
		</div>
		<hr />
		<h2 class="contents-title">Slick Adaptive Height</h2>
		<VueSlickCarousel v-bind="settingsAdaptiveHeight" centerPadding="20px">
			<div><h2>First</h2></div>
			<div>
				<h2>Second</h2>
				<p class="mb-0">
					Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolores
					fugiat provident, esse alias aliquid obcaecati recusandae est
					excepturi doloribus labore voluptatibus sequi consequuntur, culpa
					accusamus minima libero dolorem eos repudiandae. Lorem ipsum dolor sit
					amet, consectetur adipisicing elit. Nemo, fuga cumque quibusdam odit
					veniam. Deleniti vitae saepe expedita accusamus provident quae autem
					magnam, voluptatum itaque earum, aspernatur, molestiae animi labore.
				</p>
			</div>
			<div>
				<h2>Third</h2>
				<p class="mb-0">
					Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ratione amet
					corporis, cupiditate blanditiis dolore architecto, sequi animi
					repudiandae culpa ipsa illo veniam officiis, porro aut? Possimus
					facilis architecto hic, maiores.
				</p>
			</div>
		</VueSlickCarousel>
		<div class="mt-32">
			<div class="tab">
				<button
					v-for="(tab, index) in tabs6"
					:key="index"
					@click="activeTab7 = index"
					:class="{ active: activeTab7 === index }"
				>
					{{ tab.title }}
				</button>
			</div>
			<div class="tab-content">
				<div
					v-for="(tab, index) in tabs6"
					:key="index"
					v-show="activeTab7 === index"
				>
					<Code :codeText="tab.content" />
				</div>
			</div>
		</div>
		<hr />

		<h2 class="contents-title">Slick Autoplay</h2>
		<VueSlickCarousel v-bind="settingsSlickAutoplay">
			<div v-for="(data, index) in dataSlickAutoplay" :key="index">
				<h2>
					{{ data.title }}
				</h2>
				<p class="mb-0">{{ data.content }}</p>
			</div>
		</VueSlickCarousel>
		<div class="mt-32">
			<div class="tab">
				<button
					v-for="(tab, index) in tabs7"
					:key="index"
					@click="activeTab8 = index"
					:class="{ active: activeTab8 === index }"
				>
					{{ tab.title }}
				</button>
			</div>
			<div class="tab-content">
				<div
					v-for="(tab, index) in tabs7"
					:key="index"
					v-show="activeTab8 === index"
				>
					<Code :codeText="tab.content" />
				</div>
			</div>
		</div>
		<hr />

		<h2 class="contents-title">Synchronized Slick</h2>
		<VueSlickCarousel
			ref="c1"
			:asNavFor="$refs.c2"
			:focusOnSelect="true"
			:slidesToScroll="1"
		>
			<div><img src="//via.placeholder.com/1200x500?text=1A" alt="" /></div>
			<div><img src="//via.placeholder.com/1200x500?text=1B" alt="" /></div>
			<div><img src="//via.placeholder.com/1200x500?text=1C" alt="" /></div>
			<div><img src="//via.placeholder.com/1200x500?text=1D" alt="" /></div>
			<div><img src="//via.placeholder.com/1200x500?text=1E" alt="" /></div>
			<div><img src="//via.placeholder.com/1200x500?text=1F" alt="" /></div>
			<div><img src="//via.placeholder.com/1200x500?text=1G" alt="" /></div>
		</VueSlickCarousel>
		<VueSlickCarousel
			ref="c2"
			:asNavFor="$refs.c1"
			:slidesToShow="5"
			:slidesToScroll="1"
			:focusOnSelect="true"
			:centerMode="true"
			:arrows="true"
		>
			<div><img src="//via.placeholder.com/150?text=1A" alt="" /></div>
			<div><img src="//via.placeholder.com/150?text=1B" alt="" /></div>
			<div><img src="//via.placeholder.com/150?text=1C" alt="" /></div>
			<div><img src="//via.placeholder.com/150?text=1D" alt="" /></div>
			<div><img src="//via.placeholder.com/150?text=1E" alt="" /></div>
			<div><img src="//via.placeholder.com/150?text=1F" alt="" /></div>
			<div><img src="//via.placeholder.com/150?text=1G" alt="" /></div
		></VueSlickCarousel>
		<VueSlickCarousel
			ref="c3"
			:asNavFor="$refs.c4"
			:focusOnSelect="true"
			:slidesToScroll="1"
		>
			<div><img src="//via.placeholder.com/1200x500?text=2A" alt="" /></div>
			<div><img src="//via.placeholder.com/1200x500?text=2B" alt="" /></div>
			<div><img src="//via.placeholder.com/1200x500?text=2C" alt="" /></div>
			<div><img src="//via.placeholder.com/1200x500?text=2D" alt="" /></div>
			<div><img src="//via.placeholder.com/1200x500?text=2E" alt="" /></div>
			<div><img src="//via.placeholder.com/1200x500?text=2F" alt="" /></div>
			<div><img src="//via.placeholder.com/1200x500?text=2G" alt="" /></div>
		</VueSlickCarousel>
		<VueSlickCarousel
			ref="c4"
			:asNavFor="$refs.c3"
			:slidesToShow="5"
			:slidesToScroll="1"
			:focusOnSelect="true"
			:centerMode="true"
			:arrows="true"
		>
			<div><img src="//via.placeholder.com/150?text=2A" alt="" /></div>
			<div><img src="//via.placeholder.com/150?text=2B" alt="" /></div>
			<div><img src="//via.placeholder.com/150?text=2C" alt="" /></div>
			<div><img src="//via.placeholder.com/150?text=2D" alt="" /></div>
			<div><img src="//via.placeholder.com/150?text=2E" alt="" /></div>
			<div><img src="//via.placeholder.com/150?text=2F" alt="" /></div>
			<div><img src="//via.placeholder.com/150?text=2G" alt="" /></div
		></VueSlickCarousel>
		<div class="mt-32">
			<div class="tab">
				<button
					v-for="(tab, index) in tabs8"
					:key="index"
					@click="activeTab9 = index"
					:class="{ active: activeTab9 === index }"
				>
					{{ tab.title }}
				</button>
			</div>
			<div class="tab-content">
				<div
					v-for="(tab, index) in tabs8"
					:key="index"
					v-show="activeTab9 === index"
				>
					<Code :codeText="tab.content" />
				</div>
			</div>
		</div>

		<ContentFooter />
	</main>
</template>

<script>
import VueSlickCarousel from 'vue-slick-carousel'
import 'vue-slick-carousel/dist/vue-slick-carousel.css'
// optional style for arrows & dots
import 'vue-slick-carousel/dist/vue-slick-carousel-theme.css'

export default {
	components: { VueSlickCarousel },
	data() {
		return {
			activeTab2: 0,
			activeTab3: 0,
			activeTab4: 0,
			activeTab5: 0,
			activeTab6: 0,
			activeTab7: 0,
			activeTab8: 0,
			activeTab9: 0,
			settingsSlickAutoplay: {
				dots: true,
				arrows: true,
				infinite: true,
				autoplay: true,
				autoplaySpeed: 1000,
				slidesToShow: 3,
				slidesToScroll: 1
			},
			settingsVariableWidth: {
				dots: true,
				infinite: true,
				arrows: true,
				speed: 500,
				slidesToShow: 1,
				centerMode: true,
				variableWidth: true
			},
			settingsResponsive: {
				dots: true,
				infinite: false,
				speed: 500,
				slidesToShow: 4,
				slidesToScroll: 4,
				initialSlide: 0,
				responsive: [
					{
						breakpoint: 1024,
						settings: {
							slidesToShow: 3,
							slidesToScroll: 3,
							infinite: true,
							dots: true
						}
					},
					{
						breakpoint: 600,
						settings: {
							slidesToShow: 2,
							slidesToScroll: 2
						}
					},
					{
						breakpoint: 480,
						settings: {
							slidesToShow: 1,
							slidesToScroll: 1
						}
					}
				]
			},
			settingsAdaptiveHeight: {
				dots: true,
				infinite: true,
				speed: 300,
				slidesToShow: 1,
				adaptiveHeight: true
			},
			tabs: [
				{
					title: 'HTML',
					content: `<div class="slick-container js-slick-single">
    <div>
        <h2>First</h2>
        <p class="mb-0">
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quos repellendus amet sit odit dolore quisquam animi adipisci!
        Doloremque aperiam sequi quam autem laboriosam consequuntur voluptatibus, eaque molestiae. Nam, architecto sequi?
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quos temporibus sed labore beatae deserunt nemo error
        saepe iure odio nisi laborum incidunt fuga molestiae fugiat dolore dolor, molestias rerum! Eius?
        </p>
    </div>
    <div>
        <h2>Second</h2>
        <p class="mb-0">
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolores fugiat provident, esse alias aliquid obcaecati
        recusandae est excepturi doloribus labore voluptatibus sequi consequuntur, culpa accusamus minima libero dolorem eos repudiandae.
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nemo, fuga cumque quibusdam odit veniam. Deleniti vitae
        saepe expedita accusamus provident quae autem magnam, voluptatum itaque earum, aspernatur, molestiae animi labore.
        </p>
    </div>
    <div>
        <h2>Third</h2>
        <p class="mb-0">
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ratione amet corporis, cupiditate blanditiis dolore architecto,
        sequi animi repudiandae culpa ipsa illo veniam officiis, porro aut? Possimus facilis architecto hic, maiores.
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fuga animi provident aperiam amet deleniti, fugit id velit,
        soluta veniam nostrum laboriosam laborum cum similique repellat voluptas perspiciatis quidem nulla! Earum.
        </p>
    </div>
</div>`
				},
				{
					title: 'JavaScript',
					content: `_.exist('.js-slick-single')
    .then(_.toJqueryObject)
    .then(_.createSlider({
        dots: true,
        infinite: true,
        speed: 500,
        slidesToShow: 1,
        slidesToScroll: 1
    }))
    .catch(_.noop)`
				}
			],
			tabs2: [
				{
					title: 'HTML',
					content: `<div class="slick-container js-slick-multiple">
    <div>
        <h2>First</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore hic, tempora at quaerat voluptatem? Corporis quo odit
        officiis consequuntur ipsum mollitia ad, culpa, delectus nam odio ab enim architecto est.
    </div>
    <div>
        <h2>Second</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repudiandae eveniet porro recusandae libero! Quae, minima?
        Temporibus aperiam harum omnis, tempora cum fugiat, nisi distinctio ab nostrum quia quidem minus mollitia.
    </div>
    <div>
        <h2>Third</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente nostrum asperiores atque, repellat possimus facilis
        sed eum iusto ut aperiam doloribus rerum mollitia ipsum qui, aspernatur soluta reiciendis at earum?
    </div>
    <div>
        <h2>Fourth</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nobis nihil impedit, rerum corporis odit id quisquam cupiditate
        quae commodi magnam consectetur ea consequuntur maxime debitis error numquam earum tenetur iusto.
    </div>
    <div>
        <h2>Fifth</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum consequatur magni porro eaque, deserunt autem odio
        iste at sunt praesentium harum asperiores a eum dolore, ipsum repellendus ipsam pariatur aperiam?
    </div>
    <div>
        <h2>Sixth</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Et, laborum, dolorum accusantium veniam dolorem autem pariatur aut
        facere a aliquam, magnam doloremque maxime incidunt. Blanditiis aliquam sit, reiciendis dignissimos alias.
    </div>
</div>`
				},
				{
					title: 'JavaScript',
					content: `_.exist('.js-slick-multiple')
    .then(_.toJqueryObject)
    .then(_.createSlider({
        dots: true,
        infinite: true,
        speed: 500,
        slidesToShow: 3,
        slidesToScroll: 3
    }))
    .catch(_.noop)`
				}
			],
			tabs3: [
				{
					title: 'HTML',
					content: `<div class="slick-container js-slick-multiple" data-slick='{"dots": false, "slidesToShow": 2, "slidesToScroll": 1}'>
    <div>
        <h2>First</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore hic, tempora at quaerat voluptatem? Corporis quo odit
        officiis consequuntur ipsum mollitia ad, culpa, delectus nam odio ab enim architecto est.
    </div>
    <div>
        <h2>Second</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repudiandae eveniet porro recusandae libero! Quae, minima?
        Temporibus aperiam harum omnis, tempora cum fugiat, nisi distinctio ab nostrum quia quidem minus mollitia.
    </div>
    <div>
        <h2>Third</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente nostrum asperiores atque, repellat possimus facilis
        sed eum iusto ut aperiam doloribus rerum mollitia ipsum qui, aspernatur soluta reiciendis at earum?
    </div>
    <div>
        <h2>Fourth</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nobis nihil impedit, rerum corporis odit id quisquam cupiditate
        quae commodi magnam consectetur ea consequuntur maxime debitis error numquam earum tenetur iusto.
    </div>
    <div>
        <h2>Fifth</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum consequatur magni porro eaque, deserunt autem odio
        iste at sunt praesentium harum asperiores a eum dolore, ipsum repellendus ipsam pariatur aperiam?
    </div>
    <div>
        <h2>Sixth</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Et, laborum, dolorum accusantium veniam dolorem autem pariatur aut
        facere a aliquam, magnam doloremque maxime incidunt. Blanditiis aliquam sit, reiciendis dignissimos alias.
    </div>
</div>`
				},
				{
					title: 'JavaScript',
					content: `_.exist('.js-slick-multiple')
    .then(_.toJqueryObject)
    .then(_.createSlider({
        dots: true,
        infinite: true,
        speed: 500,
        slidesToShow: 3,
        slidesToScroll: 3
    }))
    .catch(_.noop)`
				}
			],
			tabs4: [
				{
					title: 'HTML',
					content: `<div class="slick-container js-slick-multiple">
    <div>
        <h2>First</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore hic, tempora at quaerat voluptatem? Corporis quo odit
        officiis consequuntur ipsum mollitia ad, culpa, delectus nam odio ab enim architecto est.
    </div>
    <div>
        <h2>Second</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repudiandae eveniet porro recusandae libero! Quae, minima?
        Temporibus aperiam harum omnis, tempora cum fugiat, nisi distinctio ab nostrum quia quidem minus mollitia.
    </div>
    <div>
        <h2>Third</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente nostrum asperiores atque, repellat possimus facilis
        sed eum iusto ut aperiam doloribus rerum mollitia ipsum qui, aspernatur soluta reiciendis at earum?
    </div>
    <div>
        <h2>Fourth</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nobis nihil impedit, rerum corporis odit id quisquam cupiditate
        quae commodi magnam consectetur ea consequuntur maxime debitis error numquam earum tenetur iusto.
    </div>
    <div>
        <h2>Fifth</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum consequatur magni porro eaque, deserunt autem odio
        iste at sunt praesentium harum asperiores a eum dolore, ipsum repellendus ipsam pariatur aperiam?
    </div>
    <div>
        <h2>Sixth</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Et, laborum, dolorum accusantium veniam dolorem autem pariatur aut
        facere a aliquam, magnam doloremque maxime incidunt. Blanditiis aliquam sit, reiciendis dignissimos alias.
    </div>
</div>`
				},
				{
					title: 'JavaScript',
					content: `_.exist('.js-slick-multiple')
    .then(_.toJqueryObject)
    .then(_.createSlider({
        dots: true,
        infinite: true,
        speed: 500,
        slidesToShow: 3,
        slidesToScroll: 3
    }))
    .catch(_.noop)`
				}
			],
			tabs5: [
				{
					title: 'HTML',
					content: `<div class="slick-container js-slick-variable-width">
    <div><img src="//via.placeholder.com/100x150?text=100px" alt=""></div>
    <div><img src="//via.placeholder.com/150x150?text=150px" alt=""></div>
    <div><img src="//via.placeholder.com/500x150?text=500px" alt=""></div>
    <div><img src="//via.placeholder.com/200x150?text=200px" alt=""></div>
    <div><img src="//via.placeholder.com/300x150?text=300px" alt=""></div>
    <div><img src="//via.placeholder.com/600x150?text=600px" alt=""></div>
</div>`
				},
				{
					title: 'JavaScript',
					content: `_.exist('.js-slick-variable-width')
    .then(_.toJqueryObject)
    .then(_.createSlider({
        dots: true,
        infinite: true,
        speed: 500,
        slidesToShow: 1,
        centerMode: true,
        variableWidth: true
    }))
    .catch(_.noop)`
				}
			],
			tabs6: [
				{
					title: 'HTML',
					content: `<div class="slick-container js-slick-adaptive-height">
    <div>
        <h2>First</h2>
    </div>
    <div>
        <h2>Second</h2>
        <p class="mb-0">
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolores fugiat provident, esse alias aliquid obcaecati
        recusandae est excepturi doloribus labore voluptatibus sequi consequuntur, culpa accusamus minima libero dolorem eos repudiandae.
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nemo, fuga cumque quibusdam odit veniam. Deleniti vitae
        saepe expedita accusamus provident quae autem magnam, voluptatum itaque earum, aspernatur, molestiae animi labore.
        </p>
    </div>
    <div>
        <h2>Third</h2>
        <p class="mb-0">
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ratione amet corporis, cupiditate blanditiis dolore architecto,
        sequi animi repudiandae culpa ipsa illo veniam officiis, porro aut? Possimus facilis architecto hic, maiores.
        </p>
    </div>
</div>`
				},
				{
					title: 'JavaScript',
					content: `_.exist('.js-slick-adaptive-height')
    .then(_.toJqueryObject)
    .then(_.createSlider({
        dots: true,
        infinite: true,
        speed: 300,
        slidesToShow: 1,
        adaptiveHeight: true
    }))
    .catch(_.noop)`
				}
			],
			tabs7: [
				{
					title: 'HTML',
					content: `<div class="slick-container js-slick-autoplay">
    <div>
        <h2>First</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore hic, tempora at quaerat voluptatem? Corporis quo odit
        officiis consequuntur ipsum mollitia ad, culpa, delectus nam odio ab enim architecto est.
    </div>
    <div>
        <h2>Second</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repudiandae eveniet porro recusandae libero! Quae, minima?
        Temporibus aperiam harum omnis, tempora cum fugiat, nisi distinctio ab nostrum quia quidem minus mollitia.
    </div>
    <div>
        <h2>Third</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sapiente nostrum asperiores atque, repellat possimus facilis
        sed eum iusto ut aperiam doloribus rerum mollitia ipsum qui, aspernatur soluta reiciendis at earum?
    </div>
    <div>
        <h2>Fourth</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nobis nihil impedit, rerum corporis odit id quisquam cupiditate
        quae commodi magnam consectetur ea consequuntur maxime debitis error numquam earum tenetur iusto.
    </div>
    <div>
        <h2>Fifth</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatum consequatur magni porro eaque, deserunt autem odio
        iste at sunt praesentium harum asperiores a eum dolore, ipsum repellendus ipsam pariatur aperiam?
    </div>
    <div>
        <h2>Sixth</h2>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Et, laborum, dolorum accusantium veniam dolorem autem pariatur aut
        facere a aliquam, magnam doloremque maxime incidunt. Blanditiis aliquam sit, reiciendis dignissimos alias.
    </div>
</div>`
				},
				{
					title: 'JavaScript',
					content: `_.exist('.js-slick-autoplay')
    .then(_.toJqueryObject)
    .then(_.createSlider({
        dots: true,
        infinite: true,
        autoplay: true,
        autoplaySpeed: 1000,
        slidesToShow: 3,
        slidesToScroll: 1
    }))
    .catch(_.noop)`
				}
			],
			tabs8: [
				{
					title: 'HTML',
					content: `<div class="js-slick-sync">
    <div class="slick-container js-slick-view" id="slickView1" data-nav="#slickNav1">
        <div><img src="//via.placeholder.com/1200x500?text=1A" alt=""></div>
        <div><img src="//via.placeholder.com/1200x500?text=1B" alt=""></div>
        <div><img src="//via.placeholder.com/1200x500?text=1C" alt=""></div>
        <div><img src="//via.placeholder.com/1200x500?text=1D" alt=""></div>
        <div><img src="//via.placeholder.com/1200x500?text=1E" alt=""></div>
        <div><img src="//via.placeholder.com/1200x500?text=1F" alt=""></div>
        <div><img src="//via.placeholder.com/1200x500?text=1G" alt=""></div>
    </div>
    <div class="slick-container js-slick-nav" id="slickNav1" data-nav-for="#slickView1">
        <div><img src="//via.placeholder.com/150?text=1A" alt=""></div>
        <div><img src="//via.placeholder.com/150?text=1B" alt=""></div>
        <div><img src="//via.placeholder.com/150?text=1C" alt=""></div>
        <div><img src="//via.placeholder.com/150?text=1D" alt=""></div>
        <div><img src="//via.placeholder.com/150?text=1E" alt=""></div>
        <div><img src="//via.placeholder.com/150?text=1F" alt=""></div>
        <div><img src="//via.placeholder.com/150?text=1G" alt=""></div>
    </div>
</div>

<div class="js-slick-sync">
    <div class="slick-container js-slick-view" id="slickView2" data-nav="#slickNav2">
        <div><img src="//via.placeholder.com/1200x500?text=2A" alt=""></div>
        <div><img src="//via.placeholder.com/1200x500?text=2B" alt=""></div>
        <div><img src="//via.placeholder.com/1200x500?text=2C" alt=""></div>
        <div><img src="//via.placeholder.com/1200x500?text=2D" alt=""></div>
        <div><img src="//via.placeholder.com/1200x500?text=2E" alt=""></div>
        <div><img src="//via.placeholder.com/1200x500?text=2F" alt=""></div>
        <div><img src="//via.placeholder.com/1200x500?text=2G" alt=""></div>
    </div>
    <div class="slick-container js-slick-nav" id="slickNav2" data-nav-for="#slickView2">
        <div><img src="//via.placeholder.com/150?text=2A" alt=""></div>
        <div><img src="//via.placeholder.com/150?text=2B" alt=""></div>
        <div><img src="//via.placeholder.com/150?text=2C" alt=""></div>
        <div><img src="//via.placeholder.com/150?text=2D" alt=""></div>
        <div><img src="//via.placeholder.com/150?text=2E" alt=""></div>
        <div><img src="//via.placeholder.com/150?text=2F" alt=""></div>
        <div><img src="//via.placeholder.com/150?text=2G" alt=""></div>
    </div>
</div>
`
				},
				{
					title: 'JavaScript',
					content: `_.exist('.js-slick-sync')
    .then(_.toJqueryObject)
    .then($slickSync => {
        for (var i = 0; i < $slickSync.length; i++) {
            let $slickSyncView = $($('.js-slick-view')[i])
            let $slickSyncNav = $($('.js-slick-nav')[i])

            _.createSlider({
                slidesToShow: 1,
                slidesToScroll: 1,
                arrows: false,
                fade: true,
                asNavFor: $slickSyncView.data('nav')
            })($slickSyncView)

            _.createSlider({
                slidesToShow: 5,
                slidesToScroll: 1,
                dots: true,
                focusOnSelect: true,
                centerMode: true,
                asNavFor: $slickSyncNav.data('nav-for'),
                responsive: [
                    {
                        breakpoint: 1024,
                        settings: {
                            slidesToShow: 3
                        }
                    }
                ]
            })($slickSyncNav)
        }
    })
    .catch(_.noop)`
				}
			],
			textCenter: `<p class="text-center">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit
in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt
mollit anim id est laborum.</p>`,
			textRight: `<p class="text-right">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit
in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt
mollit anim id est laborum.</p>`,
			lorem: `Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
				tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim
				veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea
				commodo consequat. Duis aute irure dolor in reprehenderit in voluptate
				velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint
				occaecat cupidatat non proident, sunt in culpa qui officia deserunt
				mollit anim id est laborum.`,
			dataSingleItem: [
				{
					title: 'First',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quos repellendus amet sit odit dolore quisquam animi adipisci! Doloremque aperiam sequi quam autem laboriosam consequuntur voluptatibus, eaque molestiae. Nam, architecto sequi Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quos temporibus sed labore beatae deserunt nemo error saepe iure odio nisi laborum incidunt fuga molestiae fugiat dolore dolor, molestias rerum! Eius?'
				},
				{
					title: 'Second',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolores fugiat provident, esse alias aliquid obcaecati recusandae est excepturi doloribus labore voluptatibus sequi consequuntur, culpa accusamus minima libero dolorem eos repudiandae. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nemo, fuga cumque quibusdam odit veniam. Deleniti vitae saepe expedita accusamus provident quae autem magnam, voluptatum itaque earum, aspernatur, molestiae animi labore.'
				},
				{
					title: 'Third',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ratione amet corporis, cupiditate blanditiis dolore architecto, sequi animi repudiandae culpa ipsa illo veniam officiis, porro aut? Possimus facilis architecto hic, maiores. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fuga animi provident aperiam amet deleniti, fugit id velit, soluta veniam nostrum laboriosam laborum cum similique repellat voluptas perspiciatis quidem nulla! Earum.'
				}
			],
			dataMultipleItem: [
				{
					title: 'First',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quos repellendus amet sit odit dolore quisquam animi adipisci! Doloremque aperiam sequi quam autem laboriosam consequuntur voluptatibus, eaque molestiae.'
				},
				{
					title: 'Second',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolores fugiat provident, esse alias aliquid obcaecati recusandae est excepturi doloribus labore voluptatibus sequi consequuntur.'
				},
				{
					title: 'Third',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ratione amet corporis, cupiditate blanditiis dolore architecto, sequi animi repudiandae culpa ipsa illo veniam officiis, porro aut? Possimus facilis architecto hic, maiores.'
				},
				{
					title: 'Fourth',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quos repellendus amet sit odit dolore quisquam animi adipisci! Doloremque aperiam sequi quam autem laboriosam consequuntur voluptatibus, eaque molestiae.'
				},
				{
					title: 'Fifth',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolores fugiat provident, esse alias aliquid obcaecati recusandae est excepturi doloribus labore voluptatibus sequi consequuntur.'
				},
				{
					title: 'Sixth',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ratione amet corporis, cupiditate blanditiis dolore architecto, sequi animi repudiandae culpa ipsa illo veniam officiis, porro aut? Possimus facilis architecto hic, maiores.'
				}
			],
			dataDataAttribute: [
				{
					title: 'First',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quos repellendus amet sit odit dolore quisquam animi adipisci! Doloremque aperiam sequi quam autem laboriosam consequuntur voluptatibus, eaque molestiae.'
				},
				{
					title: 'Second',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolores fugiat provident, esse alias aliquid obcaecati recusandae est excepturi doloribus labore voluptatibus sequi consequuntur.'
				},
				{
					title: 'Third',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ratione amet corporis, cupiditate blanditiis dolore architecto, sequi animi repudiandae culpa ipsa illo veniam officiis, porro aut? Possimus facilis architecto hic, maiores.'
				},
				{
					title: 'Fourth',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quos repellendus amet sit odit dolore quisquam animi adipisci! Doloremque aperiam sequi quam autem laboriosam consequuntur voluptatibus, eaque molestiae.'
				},
				{
					title: 'Fifth',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolores fugiat provident, esse alias aliquid obcaecati recusandae est excepturi doloribus labore voluptatibus sequi consequuntur.'
				},
				{
					title: 'Sixth',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ratione amet corporis, cupiditate blanditiis dolore architecto, sequi animi repudiandae culpa ipsa illo veniam officiis, porro aut? Possimus facilis architecto hic, maiores.'
				}
			],
			dataResponsiveDisplay: [
				{
					title: 'First',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quos repellendus amet sit odit dolore quisquam animi adipisci! Doloremque aperiam sequi quam autem laboriosam consequuntur voluptatibus, eaque molestiae.'
				},
				{
					title: 'Second',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolores fugiat provident, esse alias aliquid obcaecati recusandae est excepturi doloribus labore voluptatibus sequi consequuntur.'
				},
				{
					title: 'Third',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ratione amet corporis, cupiditate blanditiis dolore architecto, sequi animi repudiandae culpa ipsa illo veniam officiis, porro aut? Possimus facilis architecto hic, maiores.'
				},
				{
					title: 'Fourth',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quos repellendus amet sit odit dolore quisquam animi adipisci! Doloremque aperiam sequi quam autem laboriosam consequuntur voluptatibus, eaque molestiae.'
				},
				{
					title: 'Fifth',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolores fugiat provident, esse alias aliquid obcaecati recusandae est excepturi doloribus labore voluptatibus sequi consequuntur.'
				},
				{
					title: 'Sixth',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ratione amet corporis, cupiditate blanditiis dolore architecto, sequi animi repudiandae culpa ipsa illo veniam officiis, porro aut? Possimus facilis architecto hic, maiores.'
				},
				{
					title: 'Seventh',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quos repellendus amet sit odit dolore quisquam animi adipisci! Doloremque aperiam sequi quam autem laboriosam consequuntur voluptatibus, eaque molestiae.'
				},
				{
					title: 'Eight',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolores fugiat provident, esse alias aliquid obcaecati recusandae est excepturi doloribus labore voluptatibus sequi consequuntur.'
				}
			],
			dataSlickAutoplay: [
				{
					title: 'First',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quos repellendus amet sit odit dolore quisquam animi adipisci! Doloremque aperiam sequi quam autem laboriosam consequuntur voluptatibus, eaque molestiae.'
				},
				{
					title: 'Second',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolores fugiat provident, esse alias aliquid obcaecati recusandae est excepturi doloribus labore voluptatibus sequi consequuntur.'
				},
				{
					title: 'Third',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ratione amet corporis, cupiditate blanditiis dolore architecto, sequi animi repudiandae culpa ipsa illo veniam officiis, porro aut? Possimus facilis architecto hic, maiores.'
				},
				{
					title: 'Fourth',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quos repellendus amet sit odit dolore quisquam animi adipisci! Doloremque aperiam sequi quam autem laboriosam consequuntur voluptatibus, eaque molestiae.'
				},
				{
					title: 'Fifth',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolores fugiat provident, esse alias aliquid obcaecati recusandae est excepturi doloribus labore voluptatibus sequi consequuntur.'
				},
				{
					title: 'Sixth',
					content:
						'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ratione amet corporis, cupiditate blanditiis dolore architecto, sequi animi repudiandae culpa ipsa illo veniam officiis, porro aut? Possimus facilis architecto hic, maiores.'
				}
			]
		}
	}
}
</script>

<style lang="scss" scoped>
main {
	color: $text;
	width: 100%;
}

button {
	&.slick-arrow {
		&.slick-next:before {
			color: black;
			display: block;
		}

		&.slick-prev:before {
			color: black;
			display: block;
		}
	}
}
</style>
